import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaEmailType } from '@overflow/commons-typescript/model/meta';


@Injectable()
export class MetaEmailTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaEmailType> {
    return this.rpcService.call<MetaEmailType>('MetaEmailTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaEmailType[]> {
    return this.rpcService.call<MetaEmailType[]>('MetaEmailTypeService.readAll');
  }
}
